> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/knowledge-graph/input-types/responsibility-order.md).

# ResponsibilityOrder

No description

```graphql
input ResponsibilityOrder {
  asset: [AssetOrder]
  community: [CommunityOrder]
  createdBy: [UserOrder]
  createdOn: SortOrder
  domain: [DomainOrder]
  id: SortOrder
  modifiedBy: [UserOrder]
  modifiedOn: SortOrder
  role: [RoleOrder]
  system: SortOrder
  user: [UserOrder]
  userGroup: [UserGroupOrder]
}
```

### Fields

#### asset ● [`[AssetOrder]`](/api/graphql/knowledge-graph/input-types/asset-order.md) list input <a href="#asset" id="asset"></a>

The asset related to this responsibility.

#### community ● [`[CommunityOrder]`](/api/graphql/knowledge-graph/input-types/community-order.md) list input <a href="#community" id="community"></a>

The community related to this responsibility.

#### createdBy ● [`[UserOrder]`](/api/graphql/knowledge-graph/input-types/user-order.md) list input <a href="#created-by" id="created-by"></a>

The user who created this resource.

#### createdOn ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#created-on" id="created-on"></a>

The creation date of this resource.

#### domain ● [`[DomainOrder]`](/api/graphql/knowledge-graph/input-types/domain-order.md) list input <a href="#domain" id="domain"></a>

The domain related to this responsibility.

#### id ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#id" id="id"></a>

The universally unique identifier of this node.

#### modifiedBy ● [`[UserOrder]`](/api/graphql/knowledge-graph/input-types/user-order.md) list input <a href="#modified-by" id="modified-by"></a>

The user who last modified this resource.

#### modifiedOn ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#modified-on" id="modified-on"></a>

The last modified date of this resource.

#### role ● [`[RoleOrder]`](/api/graphql/knowledge-graph/input-types/role-order.md) list input <a href="#role" id="role"></a>

The user role related to this responsibility.

#### system ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#system" id="system"></a>

Whether this resource is reserved by the system.

#### user ● [`[UserOrder]`](/api/graphql/knowledge-graph/input-types/user-order.md) list input <a href="#user" id="user"></a>

The user related to this responsibility. It is empty if the responsibility is related to a group.

#### userGroup ● [`[UserGroupOrder]`](/api/graphql/knowledge-graph/input-types/user-group-order.md) list input <a href="#user-group" id="user-group"></a>

The group related to this responsibility. It is empty if the responsibility is related to a user.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/knowledge-graph/input-types/responsibility-order.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
